Suno
Upload Extend
Continue a public audio URL from a specified timestamp
Continue a publicly accessible audio_url from the timestamp specified by continue_at.
Authorization
BearerAuth
AuthorizationBearer <token>
使用 Bearer Token 认证:Authorization: Bearer sk-xxxxxx。
In: header
Request Body
application/json
custom?boolean
是否使用自定义歌词模式
prompt?string
自定义歌词
gpt_description_prompt?string
灵感描述
title?string
tags?string
negative_tags?string
style_weight?number
Range
0 <= value <= 1weirdness_constraint?number
Range
0 <= value <= 1audio_weight?number
Range
0 <= value <= 1duration?integer
Range
10 <= value <= 360auto_lyrics?boolean
vocal_gender?string
Value in
"Male" | "Female"persona_id?string
audio_format?string
Value in
"mp3" | "m4a" | "wav"hookUrl?string
任务完成回调地址
isStorage?booleanDeprecated
audio_url*string
公开可访问的音频 URL
continue_at*number
Range
0 < valuemv?string
Default
"chirp-v5"Value in
"chirp-v5-5" | "chirp-v5" | "chirp-v4-5+" | "chirp-v4-5" | "chirp-v4-5-all" | "chirp-v4" | "chirp-v3-5" | "chirp-v3-0"Response Body
application/json
application/json
curl -X POST "https://www.omwai.xyz/suno/submit/UPLOAD_EXTEND" \ -H "Content-Type: application/json" \ -d '{ "audio_url": "https://cdn.example.com/input.mp3", "continue_at": 60, "mv": "chirp-v5", "prompt": "Continue with a final chorus" }'{
"code": "success",
"message": "success",
"data": "task_01J8ABCDEFGHIJKLMNOPQRST"
}{
"code": "invalid_request",
"message": "string"
}How is this guide?
Last updated on